#
# Gnuplot input file to create figures
#
# this is written for gnuplot version 4.4
#
# Ken-Ichi Ishikawa
#
# ($Id: hist_figs.plt,v 1.2 2011/03/03 08:25:15 ishikawa Exp $)
#

set term postscript enhanced eps color 20

set key top left
set xlabel "s(1)"
set ylabel "s(2)"
set  xtics -10,1.0,10
set mxtics 10
set  ytics -10,1.0,10
set mytics 10

set pm3d map
set isosamples 50,50
set sample 50,50

rnorm(b) = 1.0/(2*pi/sqrt(1.0-b**2))
g(x,y,b)=exp(-(b*x*y+(x**2+y**2)/2))*rnorm(b)

b=0.1
set  xrange [-3:3]
set  yrange [-3:3]
set  zrange [0:rnorm(b)+0.01]
set cbrange [0:rnorm(b)+0.01]
set origin 0,0
set size 2,1.5
set output "Fig_B0.1_Hist_HMC.eps"
set title "State Histogram 2-site scalar model ({/Symbol b}=0.1)"
set multiplot
set size 1,1.5
set origin 0,0
splot "hist_b0.1_N100000.dat"
set origin 0.98,0
splot g(x,y,b)
set nomultiplot

b=0.2
set  xrange [-3:3]
set  yrange [-3:3]
set  zrange [0:rnorm(b)+0.01]
set cbrange [0:rnorm(b)+0.01]
set origin 0,0
set size 2,1.5
set output "Fig_B0.2_Hist_HMC.eps"
set title "State Histogram 2-site scalar model ({/Symbol b}=0.2)"
set multiplot
set size 1,1.5
set origin 0,0
splot "hist_b0.2_N100000.dat"
set origin 0.98,0
splot g(x,y,b)
set nomultiplot

b=0.4
set  xrange [-4:4]
set  yrange [-4:4]
set  zrange [0:rnorm(b)+0.01]
set cbrange [0:rnorm(b)+0.01]
set origin 0,0
set size 2,1.5
set output "Fig_B0.4_Hist_HMC.eps"
set title "State Histogram 2-site scalar model ({/Symbol b}=0.4)"
set multiplot
set size 1,1.5
set origin 0,0
splot "hist_b0.4_N100000.dat"
set origin 0.98,0
splot g(x,y,b)
set nomultiplot

b=0.7
set  xrange [-5:5]
set  yrange [-5:5]
set  zrange [0:rnorm(b)+0.01]
set cbrange [0:rnorm(b)+0.01]
set origin 0,0
set size 2,1.5
set output "Fig_B0.7_Hist_HMC.eps"
set title "State Histogram 2-site scalar model ({/Symbol b}=0.7)"
set multiplot
set size 1,1.5
set origin 0,0
splot "hist_b0.7_N100000.dat"
set origin 0.98,0
splot g(x,y,b)
set nomultiplot

b=0.9
set  xrange [-8:8]
set  yrange [-8:8]
set  zrange [0:rnorm(b)+0.01]
set cbrange [0:rnorm(b)+0.01]
set origin 0,0
set size 2,1.5
set output "Fig_B0.9_Hist_HMC.eps"
set title "State Histogram 2-site scalar model ({/Symbol b}=0.9)"
set multiplot
set size 1,1.5
set origin 0,0
splot "hist_b0.9_N100000.dat"
set origin 0.98,0
splot g(x,y,b)
set nomultiplot

