program histogram
!
! count state population
!
  implicit none
  integer, parameter :: DP=KIND(1.0d0)
  integer :: isamp,i,j
  integer :: total
  integer, allocatable :: count(:,:)
  integer :: NBIN
  real(DP) :: xx,yy
  real(DP) :: x0,x1,dx
  real(DP) :: y0,y1,dy
  real(DP) :: s(2),area
  character(80) :: args(2)

  !
  ! bin size
  !
  NBIN=50

  !
  ! 2D-region
  !
  if (iargc() /= 2) then
    stop
  endif
  call getarg(1,args(1))
  call getarg(2,args(2))
  read(args(1),*)x0
  read(args(2),*)x1

  y0=x0
  y1=x1

  dx = (x1-x0)/NBIN
  dy = (y1-y0)/NBIN

  allocate(count(NBIN,NBIN))
  count(:,:) = 0
  total = 0

  do
    read(*,*,END=100)i,s(1),s(2)

    do j=1,NBIN
    yy = y0 + dy*(j-1)
    do i=1,NBIN
      xx = x0 + dx*(i-1)
      if ( xx <= s(1) .and. s(1) < xx+dx .and. yy <= s(2) .and. s(2) < yy+dy) then
        count(i,j) = count(i,j) + 1
        total = total + 1
      endif
    enddo
    enddo
  enddo

100 continue
  area = 0.0_DP
  do j=1,NBIN
  do i=1,NBIN
    area = area + REAL(count(i,j),kind=DP)*dx*dy
  enddo
  enddo

  do j=1,NBIN
  yy = y0 + dy*(j-1) + dy/2.0_DP
  do i=1,NBIN
    xx = x0 + dx*(i-1) + dx/2.0_DP
    write(*,'(2ES24.15,ES24.15)')xx,yy,REAL(count(i,j),kind=DP)/area
  enddo
  write(*,*)
  enddo

  stop
end program
